package com.mortals.xhx.busiz.web;


import com.mortals.xhx.base.system.idgenerator.service.IdgeneratorService;
import com.mortals.xhx.base.system.idgenerator.service.impl.IdgeneratorServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 设备
 *
 * @author: zxfei
 * @date: 2021/8/24 20:28
 */
@RestController
@Slf4j
@RequestMapping("/test")
public class TestController {

    @Autowired
    private IdgeneratorService idgeneratorService;

    @GetMapping("webservice")
    public String webservice() {
        log.info("测试");

        return "ok";
    }

    @GetMapping("idGens")
    public String idGens() {
        log.info("测试id生成");

        String stringId = idgeneratorService.getLongId(IdgeneratorServiceImpl.IdGeneratorKey.EFFECT_KEY).toString();

        return stringId;
    }



    public static void main(String[] args) {

    }


}
